CountingRedeliveryHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.CountingRedeliveryHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class CountingRedeliveryHandler

    java.lang.Object
      org.mule.transport.jms.CountingRedeliveryHandler

All Implemented Interfaces:
  RedeliveryHandler

    public class CountingRedeliveryHandler

extends Object
implements RedeliveryHandler

This redelivery handler will keep counting the redelivery attempts for each message redelivered. Used for providers not implementing the `JMSXDeliveryCount` property support.

Field Summary
`protected JmsConnector` | `connector`
`protected static Log` | `logger` logger used by this class

Constructor Summary
`CountingRedeliveryHandler()`

Method Summary
`void` | `handleRedelivery(Message message)` process the redelivered message.
`void` | `setConnector(JmsConnector connector)` The connector associated with this handler is set before `handleRedelivery()` is called

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

### connector

    protected JmsConnector connector

Constructor Detail

### CountingRedeliveryHandler

    public CountingRedeliveryHandler()

Method Detail

### setConnector

    public void setConnector(JmsConnector connector)

  The connector associated with this handler is set before `handleRedelivery()` is called

  Specified by:
    `setConnector` in interface `RedeliveryHandler`
  Parameters:
    `connector` - the connector associated with this handler

### handleRedelivery

    public void handleRedelivery(Message message)
                          throws JMSException,
                                 MessagingException

  process the redelivered message. If the Jms receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector Exception Handler.

  Specified by:
    `handleRedelivery` in interface `RedeliveryHandler`
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MessagingException` - if there is a problem reading or proessing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.